#Make sure config changes are duplicated on both Clients and the Server when running a dedicated Server,
# as the config isnt synced between Clients and Server.
#General Settings
[general]
	#Forge Energy conversion rate (in FE/t at 256 RPM, value is the FE/t generated and consumed is at 256rpm).
	# Default: 480
	# Range: > 0
	fe_at_max_rpm = 480
	#Max stress for the Alternator and Electric Motor (in SU at 256 RPM).
	# Default: 16384
	# Range: > 0
	max_stress = 16384
	#If audio should be enabled or not.
	audio_enabled = true

#Electric Motor
[electric_motor]
	#Electric Motor min/max RPM.
	# Default: 256
	# Range: > 1
	motor_rpm_range = 256
	#Electric Motor minimum required energy consumption in FE/t.
	# Default: 8
	# Range: > 0
	motor_min_consumption = 8
	#Electric Motor max input in FE (Energy transfer not consumption).
	# Default: 5000
	# Range: > 0
	motor_max_input = 5000
	#Electric Motor internal capacity in FE.
	# Default: 5000
	# Range: > 0
	motor_capacity = 5000

#Alternator
[alternator]
	#Alternator max input in FE (Energy transfer, not generation).
	# Default: 5000
	# Range: > 0
	generator_max_output = 5000
	#Alternator internal capacity in FE.
	# Default: 5000
	# Range: > 0
	generator_capacity = 5000
	#Alternator efficiency relative to base conversion rate.
	# Default: 0.75
	# Range: 0.01 ~ 1.0
	generator_efficiency = 0.75

#Rolling Mill
[rolling_mill]
	#Rolling Mill duration in ticks.
	# Default: 120
	# Range: > 0
	rolling_mill_processing_duration = 120
	#Rolling Mill base stress impact.
	# Default: 8
	# Range: 0 ~ 1024
	rolling_mill_stress = 8

#Wires
[wires]
	#The maximum stored amount in the connector network internal buffer.
	# Default: 80000
	# Range: > 80000
	connector_network_internal_buffer = 80000
	#Small Connector max input in FE/t (Energy transfer).
	# Default: 1000
	# Range: > 0
	small_connector_max_input = 1000
	#Small Connector max output in FE/t (Energy transfer).
	# Default: 1000
	# Range: > 0
	small_connector_max_output = 1000
	#Small Connector max wire length in blocks.
	# Default: 16
	# Range: 0 ~ 256
	small_connector_wire_length = 16
	#Small Connector With Light energy consumption in FE/t.
	# Default: 1
	# Range: > 0
	small_light_connector_consumption = 1
	#Large Connector max input in FE/t (Energy transfer).
	# Default: 5000
	# Range: > 0
	large_connector_max_input = 5000
	#Large Connector max output in FE/t (Energy transfer).
	# Default: 5000
	# Range: > 0
	large_connector_max_output = 5000
	#Large Connector max wire length in blocks.
	# Default: 32
	# Range: 0 ~ 256
	large_connector_wire_length = 32
	#Ignore checking if block face can support connector.
	connector_ignore_face_check = true
	#Allows blocks attached to a connector to freely pass energy to and from the connector network.
	connector_allow_passive_io = true

#Accumulator
[accumulator]
	#Accumulator max input in FE/t (Energy transfer).
	# Default: 5000
	# Range: > 0
	accumulator_max_input = 5000
	#Accumulator max output in FE/t (Energy transfer).
	# Default: 5000
	# Range: > 0
	accumulator_max_output = 5000
	#Accumulator internal capacity per block in FE.
	# Default: 2000000
	# Range: > 0
	accumulator_capacity = 2000000
	#Accumulator max multiblock height.
	# Default: 5
	# Range: 1 ~ 8
	accumulator_max_height = 5
	#Accumulator max multiblock width.
	# Default: 3
	# Range: 1 ~ 8
	accumulator_max_width = 3

#Portable Energy Interface
[portable_energy_interface]
	#PEI max input in FE/t (Energy transfer).
	# Default: 5000
	# Range: > 0
	pei_max_input = 5000
	#PEI max output in FE/t (Energy transfer).
	# Default: 5000
	# Range: > 0
	pei_max_output = 5000

#Tesla Coil
[tesla_coil]
	#Tesla Coil max input in FE/t (Energy transfer).
	# Default: 10000
	# Range: > 0
	tesla_coil_max_input = 10000
	#Tesla Coil charge rate in FE/t.
	# Default: 5000
	# Range: > 0
	tesla_coil_charge_rate = 5000
	#Tesla Coil charge rate in FE/t for recipes.
	# Default: 2000
	# Range: > 0
	tesla_coil_recipe_charge_rate = 2000
	#Tesla Coil internal capacity in FE.
	# Default: 40000
	# Range: > 0
	tesla_coil_capacity = 40000
	#Energy consumed when Tesla Coil is fired (in FE).
	# Default: 1000
	# Range: > 0
	tesla_coil_hurt_energy_required = 1000
	#Hurt range (in blocks/meters).
	# Default: 3
	# Range: > 0
	tesla_coil_hurt_range = 3
	#Damaged dealt to mobs when Tesla Coil is fired (in half hearts).
	# Default: 3
	# Range: > 0
	tesla_coil_hurt_mob = 3
	#The duration of the Shocked effect for mobs (in ticks).
	# Default: 20
	# Range: > 0
	tesla_coil_effect_time_mob = 20
	#Damaged dealt to players when Tesla Coil is fired (in half hearts).
	# Default: 2
	# Range: > 0
	tesla_coil_hurt_player = 2
	#The duration of the Shocked effect for players (in ticks).
	# Default: 20
	# Range: > 0
	tesla_coil_effect_time_player = 20
	#Tesla Coil fire interval (in ticks).
	# Default: 20
	# Range: > 0
	tesla_coil_fire_cooldown = 20

#Misc
[misc]
	#Diamond Grit Sandpaper durability (number of uses).
	# Default: 1024
	# Range: > 3
	diamond_grit_sandpaper_uses = 1024
	#Barbed Wire Damage.
	# Default: 2.0
	# Range: 0.0 ~ 3.4028234663852886E38
	barbed_wire_damage = 2.0
